#ifndef __BOOKMARKS_LENS_H__
#define __BOOKMARKS_LENS_H__

#include <glib.h>
#include <glib-object.h>

#include <unity.h>

#include "bookmarks-scope.h"

G_BEGIN_DECLS

#define BOOKMARKS_LENS_TYPE            (bookmarks_lens_get_type ())
#define BOOKMARKS_LENS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), BOOKMARKS_LENS_TYPE, BookmarksLens))
#define BOOKMARKS_LENS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), BOOKMARKS_LENS_TYPE, BookmarksLensClass))
#define IS_BOOKMARKS_LENS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BOOKMARKS_LENS_TYPE))
#define IS_BOOKMARKS_LENS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BOOKMARKS_LENS_TYPE))
#define BOOKMARKS_LENS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), BOOKMARKS_LENS_TYPE, BookmarksLensClass))

typedef struct _BookmarksLens      BookmarksLens;
typedef struct _BookmarksLensClass BookmarksLensClass;

struct _BookmarksLensClass
{
	GObjectClass parent_class;
};

struct _BookmarksLens
{
	GObject parent;

	UnityLens * lens;
	BookmarksScope * scope;
};

GType bookmarks_lens_get_type (void);
BookmarksLens * bookmarks_lens_new (void);

G_END_DECLS

#endif
