
#include <glib.h>
#include <gio/gio.h>

#include "bookmarks-lens.h"
#include "shared-values.h"


int
main (int argc, char ** argv)
{
	g_type_init();

	g_bus_own_name(G_BUS_TYPE_SESSION,
	               LENS_NAME,
	               G_BUS_NAME_OWNER_FLAGS_NONE,
	               /* No callbacks right now */
	               NULL, NULL, NULL, NULL, NULL);

	BookmarksLens * lens = bookmarks_lens_new();

	GMainLoop * mainloop = g_main_loop_new(NULL, FALSE);
	g_main_loop_run(mainloop);
	g_main_loop_unref(mainloop);

	g_object_unref(lens);

	return 0;
}
